#ifndef MOTOR_H
#define MOTOR_H

#include <TimerOne.h>
#include "pins.h"
#include "arduinoAnpassung.h"

class Motor :public ArduinoAnpassung{

public:
 
  
  //virtual ~Motor();

  static void setup();

  void setMotorPins(uint8_t pinA , uint8_t pinB);
  static void setMotorPwmPin(uint8_t pinPwm);
  void setSollSpeed(int16_t speed);
 

  

protected:

 
  void setIstSpeed(int16_t speed);
  static uint8_t pinPwm;


  virtual void memberSetup();
 

  static void interruptEinsprung();
  void memberInterruptEinsprung();
  //void InterruptEinsprung();

  void interruptBerechnungen();

  uint8_t pinA , pinB;
  uint16_t timer;

  int16_t sollSpeed; 
  int16_t istSpeed;
  //int16_t summeSpeed;

  bool richtung;
  int16_t test;
  
};



#endif